﻿@model System.Collections.Generic.List<DataBaseFinalProject.Models.ExpenseTransaction>

@{
ViewBag.Title = "Expenses";
Layout = "_Layout";
}

<h2 class="my-4">@ViewBag.Title</h2>

<p>
    <a asp-action="Create" class="btn btn-primary mb-3">Create Expense</a>
</p>

<div class="table-responsive">
    <table class="table table-striped table-bordered">
        <thead class="thead-dark">
        <tr>
            <th scope="col">Id</th>
            <th scope="col">User Name</th>
            <th scope="col">Category Name</th>
            <th scope="col">Amount</th>
            <th scope="col">Description</th>
            <th scope="col">Created At</th>
            <th scope="col">Actions</th>
        </tr>
        </thead>
        <tbody>
        @foreach (var expenseTransaction in Model)
        {
        <tr>
            <td>@expenseTransaction.Id</td>
            <td>@expenseTransaction.User.Nickname</td>
            <td>@expenseTransaction.Category.Name</td>
            <td>@expenseTransaction.Amount</td>
            <td>@expenseTransaction.Description</td>
            <td>@expenseTransaction.CreatedAt.ToString("dd/MM/yyyy")</td>
            <td>
                <a class="btn btn-sm btn-primary" asp-action="Edit" asp-route-Id="@expenseTransaction.Id">Edit</a>
                <button type="button" class="btn btn-sm btn-danger" onclick="deleteExpense('@expenseTransaction.Id')">Delete</button>
                <form id="deleteForm_@expenseTransaction.Id" asp-action="Delete" asp-route-id="@expenseTransaction.Id" method="post" style="display:none;">
                </form>
            </td>
        </tr>
        }
        </tbody>
    </table>
</div>

@section Scripts {
<script>
    function deleteExpense(expenseTransactionId) {
        if (confirm('Are you sure you want to delete this expense?')) {
            document.getElementById('deleteForm_' + expenseTransactionId).submit();
        }
    }
</script>
}
